2015-12-26 11:37  marc

	* ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf, build-in-docker.sh,
	  resolve-debbuilddeps.sh: enable build-in-docker

2015-11-18 09:25  marc

	* ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  libxml-cxx.desktop.in, libxml-cxx.spec.in,
	  resolve-debbuilddeps.sh, sql-to-dot.sed, src/version.cxx,
	  src/version.cxx.in: development packages are named devel in rpms,
	  not dev

2015-11-16 12:38  marc

	* doc/doxyfile.in: SVG must not be interactive for embedding in
	  redmine

2015-11-07 10:47  marc

	* bootstrap.sh: there is no qt4-default

2015-11-07 09:23  marc

	* bootstrap.sh: there is no qt4-default

2015-11-05 09:54  marc

	* ax_init_standard_project.m4, bootstrap.sh, build-in-docker.sh,
	  resolve-debbuilddeps.sh: updated build system

2015-11-03 22:54  marc

	* debian/control.in, libxml-cxx.spec.in: update dependencies

2015-11-03 21:51  marc

	* debian/control.in: updated dependencies

2015-11-03 14:27  marc

	* ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, resolve-debbuilddeps.sh: prepared for build in a
	  docker instance on jenkins

2015-11-02 00:18  marc

	* build-resource-file.sh, resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh: new author url

2015-11-02 00:15  marc

	* ChangeLog: new author url

2015-11-01 23:56  marc

	* AUTHORS, ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh: new author url

2015-08-17 14:03  marc

	* ax_init_standard_project.m4, bootstrap.sh: Debian sid is more
	  restrictive in time format

2015-07-31 11:47  marc

	* libxml-cxx.spec.in: graphviz must not be used in fedora-20,
	  otherise it never terminates

2015-07-31 10:46  marc

	* ax_init_standard_project.m4, bootstrap.sh: fixed version number

2015-07-31 07:05  marc

	* bootstrap.sh, libxml-cxx.spec.in: repair rpm build

2015-07-31 07:00  marc

	* ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  libxml-cxx.spec.in, mac-create-app-bundle.sh, makefile.am: repair
	  rpm build

2015-07-13 13:55  marc

	* src/xml.cxx: need another move for squeeze

2015-07-13 13:11  marc

	* configure.ac: typo

2015-07-13 12:37  marc

	* README, configure.ac: typo

2015-07-13 12:23  marc

	* bootstrap.sh, doc/doxyfile.in, doc/makefile.am: fix builds

2015-07-13 12:00  marc

	* src/libxml-cxx.pc.in: link-fix

2015-07-13 11:55  marc

	* examples/address.cxx, examples/node_macros.cxx,
	  src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx: replaced
	  std::auto_ptr by new std::unique_ptr

2015-07-13 11:27  marc

	* AUTHORS, ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, configure.ac, debian, debian/changelog.in,
	  debian/compat, debian/control.in, debian/docs,
	  debian/libxml-cxx-dev.install, debian/libxml-cxx.install,
	  debian/rules, doc/examples, doc/makefile.am, examples,
	  examples/makefile.am, makefile.am, src/libxml-cxx.pc.in,
	  src/makefile.am, src/version.cxx, src/version.hxx, src/xml.cxx,
	  test/makefile.am: update to new build system

2015-05-08 22:00  marc

	* ChangeLog, src/xml-cxx/xml.hxx, src/xml.cxx: added Node::first()
	  and Node::last() to get the first or last child

2015-03-24 08:03  marc

	* README: typo

2015-03-03 10:22  marc

	* configure.ac: a=\\PACKAGEPACKAGE_VERSION\; b=\\PACKAGE_VERSION\;
	  for f in $(grep --exclude-dir=.svn --exclude=\\*~\ -lr "$a"); do
	  sed -i "s,$a,$b,g" "$f"; done

2015-02-23 10:29  marc

	* ChangeLog, src/xml-cxx/xml.hxx: make check fixed - now warnings
	  deprecated std::auto_ptr → to be fixed later; refs #14

2015-02-19 08:45  marc

	* AUTHORS, ChangeLog, INSTALL, README, ax_cxx_compile_stdcxx_11.m4,
	  configure.ac, configure.in, debian/changelog.in, debian/control,
	  debian/control.in, debian/rules, doc/doxyfile.in,
	  doc/makefile.am, libxml-cxx.spec.in, makefile.am,
	  src/libxml-cxx.pc.in, src/version.cxx.in: new build rules, same
	  changes as in ticket 12 of mrw-c++; refs #14

2013-01-25 14:37  marc

	* libxml-cxx.spec.in: fix fedora-18 bug; closes #13

2012-09-18 12:37  marc

	* libxml-cxx.spec.in: other dependency for fedora; refs #12

2012-07-06 11:54  marc

	* src/xml-cxx/xml.hxx: bugfix; refs #11

2011-12-18 11:08  marc

	* libxml-cxx.spec.in: use %_lib in rpm spec; refs #10

2011-11-18 16:02  marc

	* test/optional_serialization_test.cxx: add output for optional
	  serialization test; closes #9

2011-11-10 10:27  marc

	* configure.in, src/makefile.am: correct verion number; closes #5

2011-11-09 15:09  marc

	* configure.in, doc/makefile.am, libxml-cxx.spec.in, makefile.am:
	  some cleanups; closes #5

2011-11-09 13:31  marc

	* doc/makefile.am, libxml-cxx.spec.in, makefile.am: supports build
	  of RPM packages, tested on openSUSE; closes #5

2010-08-03 14:00  marc

	* src/version.cxx.in: forgotten file, closes #6

2010-08-03 13:50  marc

	* configure.in, src/makefile.am, src/xml-cxx/xml.hxx: closes #6

2010-06-01 13:37  marc

	* install-32-bit-lin-win.sh: 32bit-build added, refs #5

2010-05-12 08:40  marc

	* debian/changelog.in: SwissSign E-Mail, see #5

2010-05-12 08:30  marc

	* debian/control: SwissSign E-Mail, see #5

2010-05-12 08:23  marc

	* makefile.am: Back to chroot builds, see #5

2010-04-26 06:37  marc

	* configure.in, libxml-cxx.spec.in, makefile.am: started with spec
	  file, refs #5

2010-04-16 11:48  marc

	* makefile.am: build debian for all architectures, see #5

2010-04-15 13:51  marc

	* debian/control: second debian package target was missing, see #5

2010-04-15 12:48  marc

	* README, configure.in, debian, debian/changelog.in, debian/compat,
	  debian/control, debian/copyright, debian/dirs, debian/docs,
	  debian/libxml-cxx-dev.dirs, debian/libxml-cxx-dev.install,
	  debian/libxml-cxx.dirs, debian/libxml-cxx.doc-base.EX,
	  debian/libxml-cxx.install, debian/rules, debian/shlibs.local.ex,
	  debian/watch.ex, makefile.am, src/libxml-cxx.pc.in,
	  src/makefile.am: see #5 - done for debian

2010-03-31 15:13  marc

	* INSTALL, doc/makefile.am, src/xml-cxx/xml.hxx, src/xml.cxx: new
	  conversions

2009-05-06 07:22  admin

	* doc/examples/optional_serialization.cxx, src/xml-cxx/xml.hxx:
	  xml::Optional example added end extended

2009-05-06 07:13  admin

	* doc/examples/contain_serialization.cxx, doc/examples/makefile.am,
	  doc/examples/optional_serialization.cxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx, test/makefile.am,
	  test/optional_serialization_test.cxx: closes #1

2009-05-04 14:56  admin

	* test/container_serialization_test.cxx,
	  test/serialization_test.cxx, test/xml_test.cxx: output cppunit to
	  xml for bitten

2009-05-04 12:48  

	* COPYING: LGPL 3

2009-05-04 12:47  

	* COPYING, README, doc/doxyfile.in, doc/examples/address.cxx,
	  doc/examples/contain_serialization.cxx,
	  doc/examples/inherit_serialization.cxx,
	  doc/examples/list_serialization.cxx,
	  doc/examples/node_macros.cxx, doc/examples/serialization.cxx,
	  src/makefile.am, src/xml-cxx/any.hxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx, test/container_serialization_test.cxx,
	  test/makefile.am: start of xml::Optional

2009-04-30 15:10  

	* doc/examples/list_serialization.cxx, src/xml-cxx/any.hxx,
	  src/xml-cxx/xml.hxx, src/xml.cxx: stmped

2009-04-30 08:28  

	* doc/examples/list_serialization.cxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx: first approach to list - requires work -> are the
	  items xml::Serialize?

2009-04-29 11:58  

	* doc/examples/list_serialization.cxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx: Metatemplateprogramming is really cool

2009-04-28 07:36  

	* src/xml-cxx/xml.hxx, src/xml.cxx, test/serialization_test.cxx:
	  boost::any instead of macros - first pieces of meta template
	  programming

2009-04-27 11:34  

	* src/xml-cxx/xml.hxx, src/xml.cxx: using boost::any for storing
	  member pointers to any type

2009-04-27 10:59  

	* doc/examples/list_serialization.cxx: new file

2009-04-27 10:48  

	* doc/examples/contain_serialization.cxx,
	  doc/examples/inherit_serialization.cxx, doc/examples/makefile.am,
	  src/xml-cxx/xml.hxx, src/xml.cxx, test/serialization_test.cxx:
	  serialization works for containment and inheritance

2009-04-24 15:12  

	* doc/examples/contain_serialization.cxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx: containment can be serialized

2009-04-24 07:13  

	* doc/examples/contain_serialization.cxx,
	  doc/examples/inherit_serialization.cxx, doc/examples/makefile.am,
	  src/xml-cxx/xml.hxx, src/xml.cxx, test/serialization_test.cxx:
	  serialization nearly ready for containment

2009-04-23 15:10  

	* doc/examples/inherit_serialization.cxx,
	  doc/examples/serialization.cxx, src/xml-cxx/xml.hxx, src/xml.cxx,
	  test/serialization_test.cxx: better serialization, but test does
	  not work actually

2009-04-23 06:41  

	* doc/examples/address.cxx, doc/examples/node_macros.cxx,
	  doc/examples/serialization.cxx, src/xml-cxx/xml.hxx, src/xml.cxx:
	  node macros added (usefule but unfinished)

2009-04-22 16:10  

	* src/xml-cxx/xml.hxx, src/xml.cxx, test/makefile.am,
	  test/xml_test.cxx: serialization; more docu

2009-04-22 08:25  

	* AUTHORS, README, configure.in, doc/doxyfile.in, doc/examples,
	  doc/examples/address.cxx, doc/examples/makefile.am,
	  doc/makefile.am, src/makefile.am, src/xml-cxx/xml.hxx,
	  src/xml.cxx: more docu

2009-04-21 07:12  

	* src/xml-cxx/xml.hxx, src/xml.cxx: more docu

2009-04-20 06:42  

	* doc/doxyfile.in, src/xml-cxx/xml.hxx, src/xml.cxx: more docu;
	  other behaviour for parent

2009-04-09 14:11  

	* src/xml.cxx: pretty print

2009-04-09 13:32  

	* src/xml-cxx/xml.hxx, src/xml.cxx: pretty print for templates

2009-04-09 10:53  

	* src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx: check node
	  number limits

2009-04-09 07:01  

	* src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx: new tests,
	  cleanup, prepared for node-limits

2009-04-08 15:01  

	* install-64-and-32-bit-linux.sh, src/xml-cxx/xml.hxx, src/xml.cxx:
	  extendions and corrections

2009-04-08 06:44  

	* src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx: much more
	  tests; all exceptions in readin tested

2009-04-07 14:58  

	* src/xml.cxx: fixed empty attribute reading bug

2009-04-07 14:31  

	* configure.in, doc/makefile.am, install-64-and-32-bit-linux.sh,
	  src/xml-cxx/xml.hxx, src/xml.cxx: some bugfixes

2009-04-07 06:59  

	* src/xml-cxx/xml.hxx, src/xml.cxx: documentation

2009-04-06 14:57  

	* install-64-and-32-bit-linux.sh, src/xml-cxx/xml.hxx, src/xml.cxx:
	  get list of child nodes

2009-04-06 07:08  

	* src/xml-cxx/xml.hxx, src/xml.cxx: some documentation and new
	  feartures for attributes

2009-04-03 14:02  

	* src/xml-cxx/xml.hxx, src/xml.cxx: UnsingedInteger

2009-04-03 07:07  

	* doc/doxyfile.in, doc/makefile.am, makefile.am,
	  src/xml-cxx/xml.hxx, src/xml.cxx: Accept but ignore special tags:
	  <!, <?; Start of class UnsingedInteger; success: make distcheck

2009-04-02 14:54  

	* doc/makefile.am: rebuild possible after clean

2009-04-02 14:47  

	* doc/makefile.am, src/makefile.am, src/xml.cxx, test/xml_test.cxx:
	  nearly distclean

2009-04-02 14:36  

	* configure.in, doc/makefile.am, src/xml-cxx, src/xml-cxx/xml.hxx,
	  src/xml.hxx: Zwischenstand

2009-04-02 14:01  

	* COPYING, INSTALL, configure.in, doc/makefile.am, src/makefile.am,
	  test/makefile.am: first working and tested release

2009-04-02 13:24  

	* AUTHORS, ChangeLog, NEWS, README, bootstrap.sh, configure.in,
	  doc, doc/doxyfile.in, doc/makefile.am, makefile.am, src,
	  src/makefile.am, src/xml.cxx, src/xml.hxx, test,
	  test/xml_test.cxx: import

2009-04-02 11:50  

	* .: start

